import 'package:apexid/apexid.dart';
import 'package:apexid/utils/storage_util.dart';
import 'package:apexid/widgets/widget_load.dart';
import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';

import '../router.dart';

class ApexIdMainScreen extends StatefulWidget {
  final DataPass data;

  const ApexIdMainScreen({Key key, this.data}) : super(key: key);
  @override
  _ApexIdMainScreenState createState() => _ApexIdMainScreenState();
}

class _ApexIdMainScreenState extends State<ApexIdMainScreen> with WidgetLoadMixin {
  @override
  void initState() {
    super.initState();
  }
  @override
  void dispose() {
    Navigator.of(context).dispose();
    super.dispose();
  }
  @override
  Widget build(BuildContext context) {
    return Scaffold(
      body: Center(child: Column(children: [Text("Login Successfuly."),
      CircularProgressIndicator()]),),
    );
  }

  @override
  void onLoad(BuildContext context) {
    ApexId.shared.onLogin(StorageUtil.getString("access_key", defValue: "null"), ApexId.shared.context);
  }
}
