import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';
import 'package:google_fonts/google_fonts.dart';

class FontManager {
  final String lang;

  FontManager(this.lang);

  TextStyle getFont(TextStyle googleFonts, {TextStyle customTextStyle}) {
    if(lang == "fa") {
      return customTextStyle ?? TextStyle(
        fontFamily: "IRANSans",
          package: "apexid",
          color: Colors.white
      );
    } else {
      return googleFonts;
    }
  }
}