import 'package:flutter/material.dart';

class Languages {
  static const Map<String, dynamic> enLang = {
    "app_name": "Mobile Manager",
    "phone_number_should_be_11_char": "Phone number should be 11 char.",
    "here_to_get_welcome": "Here to get welcome",
    "enter_your_pnumber_description": "Please enter your phone number to continue e.g. 09120239845",
    "phone_number_is_wrong": "Phone number is wrong.",
    "phone_number": "Phone number",
    "next": "Next",
    "lets_go": "Let's Go",
    "select_one_of_the_options": "Please select the on of options to continue.",
    "password": "Password",
    "back_to_login": "Back to login",
    "settings": "Settings",
    "settings_description": "Fill in the login options to spend less time logging in.",
    "mail": "E-Mail",
    "user_id": "User ID",
    "password_hint": "Password Hint",
    "setup_options": "Setup Options",
  };
  static const Map<String, dynamic> faLang = {
    "app_name": "مدیریت تلفن همراه",
    "phone_number_should_be_11_char": "شماره تلفن باید 11 کاراکتر باشد.",
    "here_to_get_welcome": "عملیات ورود را شروع کنید!!!",
    "enter_your_pnumber_description": "شماره موبایل خود را برای ادامه کار وارد نمایید مانند : 09121234567",
    "phone_number_is_wrong": "شماره تلفن اشتباه است.",
    "phone_number": "شماره موبایل",
    "next": "مرحله بعد",
    "lets_go": "بزن بریم!",
    "select_one_of_the_options": "برای ادامه و ورود به اپلیکیشن، یکی از گزینه های زیر را جهت ورود انتخاب نمایید.",
    "password": "رمزعبور",
    "back_to_login": "بازگشت به صفحه ورود",
    "settings": "تنظیمات",
    "settings_description": "گزینه های ورود را پر کنید، تا وقت کمتری برای ورود صرف کنید.",
    "mail": "ایمیل (رایانامه)",
    "user_id": "کدکاربری",
    "password_hint": "راهنمای رمزعبور",
    "setup_options": "تنظیم گزینه ها",
  };

  static dynamic getString({key, lang = "fa"}) {
    if (lang == "fa") {
      return faLang[key];
    } else {
      return enLang[key];
    }
  }
}
