import 'package:apex_flutter_plugin/api/api.dart';
import 'package:apex_flutter_plugin/api/base_request.dart';
import 'package:apex_flutter_plugin/api/request.dart';
import 'package:apex_flutter_plugin/api/response.dart';
import 'package:bot_toast/bot_toast.dart';
import 'package:flutter/cupertino.dart';

class MakeRequest {
  static void post(
      {Map<String, dynamic> request,
      Function(Response response, Map<String, dynamic> result) then,
      showProgress = true,
      whenComplete,
      String url}) async {
    if (showProgress) BotToast.showLoading();
    IsolateModel isolateModel =
        IsolateModel(Request(request, method: Method.POST), url: url);
    Api.shared.makeRequest(isolateModel).then((value) {
      then(value, value.result.params);
    }).whenComplete(() {
      BotToast.closeAllLoading();
      if (whenComplete != null) whenComplete();
    });
  }
}
